package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaReportSummary;
import com.ruoyi.oa.domain.vo.OaReportSummaryVo;
import com.ruoyi.oa.domain.bo.OaReportSummaryBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 设计项目汇报概述Service接口
 *
 * @author cpy
 * @date 2025-05-13
 */
public interface IOaReportSummaryService {

    /**
     * 查询设计项目汇报概述
     */
    OaReportSummaryVo queryById(Long id);

    /**
     * 查询设计项目汇报概述列表
     */
    TableDataInfo<OaReportSummaryVo> queryPageList(OaReportSummaryBo bo, PageQuery pageQuery);

    /**
     * 查询设计项目汇报概述列表
     */
    List<OaReportSummaryVo> queryList(OaReportSummaryBo bo);

    /**
     * 新增设计项目汇报概述
     */
    Boolean insertByBo(OaReportSummaryBo bo);

    /**
     * 修改设计项目汇报概述
     */
    Boolean updateByBo(OaReportSummaryBo bo);

    /**
     * 校验并批量删除设计项目汇报概述信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
